Skip to main content
POST
/
networks
/
advertisers
/
{advertiserId}
/
users
Create Advertiser User
curl --request POST \
  --url https://api.eflow.team/v1/networks/advertisers/{advertiserId}/users \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "first_name": "John",
  "last_name": "Smith",
  "email": "john@brand.com",
  "account_status": "active",
  "language_id": 1
}
'
{
  "network_advertiser_user_id": 123,
  "network_advertiser_id": 123,
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "title": "<string>",
  "account_status": "active",
  "work_phone": "<string>",
  "cell_phone": "<string>",
  "language_id": 123,
  "timezone_id": 123,
  "currency_id": "<string>",
  "time_created": 123,
  "time_saved": 123
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

advertiserId
integer
required

The unique advertiser ID.

Body

application/json
email
string
required

User's email address. Must be unique across the platform.

first_name
string

User's first name.

last_name
string

User's last name.

account_status
enum<string>

User account status.

Available options:
active,
inactive
title
string

User's job title.

work_phone
string

User's work phone number.

cell_phone
string

User's cell phone number.

language_id
integer

Language ID (1 = English).

timezone_id
integer

Timezone ID from the metadata endpoint.

currency_id
string

ISO currency code for this user.

initial_password
string

Initial password. Must be at least 12 characters. If omitted, the user receives an invite email.

Response

200 - application/json

OK

network_advertiser_user_id
integer

Unique advertiser user ID.

network_advertiser_id
integer

The advertiser ID this user belongs to.

first_name
string

User's first name.

last_name
string

User's last name.

email
string

User's email address.

title
string

User's job title.

account_status
enum<string>

User account status.

Available options:
active,
inactive
work_phone
string

User's work phone number.

cell_phone
string

User's cell phone number.

language_id
integer

Language ID.

timezone_id
integer

Timezone ID.

currency_id
string

ISO currency code.

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.